<?xml version="1.0" encoding="UTF-8"?>

<xsd:schema xmlns:xsd='http://www.w3.org/2001/XMLSchema'
			xmlns='http://tfr.com/myClassInfoSchema'
			targetNamespace='http://tfr.com/myClassInfoSchema'
			elementFormDefault='qualified'>
			
	<xsd:include schemaLocation='Course.xsd'/>
	<xsd:include schemaLocation='Instructor.xsd'/>
	<xsd:include schemaLocation='Student.xsd'/>

	<xsd:annotation>
		<xsd:documentation>
			XML Schema defining class information.
			This schema imports the schemas already defined 
			for instructors and students.
		</xsd:documentation>
	</xsd:annotation>

	<xsd:element name="ClassInfo" type="ClassInfoType"/> 
	<xsd:element name="Course" type="CourseType"/> 
	<xsd:element name="Instructor" type="InstructorType"/>
	<xsd:element name="Student" type="StudentType"/>	
	
	<xsd:complexType name="ClassInfoType">
		<xsd:sequence>
			<xsd:element ref="Course"/>
			<xsd:element ref="Instructor"/>
			<xsd:element ref="Student" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType> 

</xsd:schema>
